Bug 665508 - rhq:url-archive, rhq:archive should support destinationFile/destinationDir
rhq:url-archive, rhq:archive should support destinationFile/destinationDir
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
4.0.0.B02
Unspecified Unspecified
medium Severity medium (vote)
: GA
: RHQ 4.11
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: JON3-55
  Show dependency treegraph
 
Reported: 2010-12-24 00:58 EST by John Mazzitelli
Modified: 2014-07-21 06:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: JON3-55 (view as bug list)
Environment:
Last Closed: 2014-07-21 06:14:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-12-24 00:58:11 EST
rhq:file and rhq:url-file each support the ability to indicate where the file should be copied on the destination machine.

rhq:archive and rhq:url-archive does not support those attributes. However, it would be nice to be able to tell where you want the archive to be stored. Note this probably only makes sense when exploded="false" since the zip file doesn't exist if its exploded.

<rhq:archive name="test.zip" exploded="false" destinationDir="subdir" ...

would mean the test.zip would get copied in ${rhq.deploy.dir}/subdir.

<rhq:url-archive url="http://server/files/test.zip" exploded="false" destinationDir="subdir" ...

would mean the test.zip would be downloaded from that URL and stored in ${rhq.deploy.dir}/subdir. Today, you have no choice but to have the downloaded file stored directly in ${rhq.deploy.dir}.
Comment 1 Jay Shaughnessy 2014-04-25 15:37:34 EDT
After some discussion decided that only the "destinationDir" attribute should be supported and not to support renaming archives.  Also, currently supporting this only when exploded=false.  Wiki updated: 

 https://docs.jboss.org/author/display/RHQ/Ant+Bundles#AntBundles-rhq%3Aarchive


master commit e26efc5c109e10da6418defa48b565c9b0c6097c
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Apr 25 15:34:22 2014 -0400

 Add "destinationDir" attribute for the archive targets.  Note that it can only
 be used in conjunction with "exploded=false".
Comment 2 Jay Shaughnessy 2014-04-29 11:47:36 EDT
master commit 074e649afda89f314679a0c65676aa41f80f420b
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Tue Apr 29 11:44:04 2014 -0400

- Fix API back-compat issues in DeploymentData constructors
- Fix ambiguous constructors issue in DeploymentData when using various null
  params
- Fix some related jdoc
- Update our code base to not use deprecated calls in DeploymentProperties
  and DeploymentData.
Comment 3 Heiko W. Rupp 2014-07-21 06:14:07 EDT
Bulk closing of RHQ 4.11 issues, now that RHQ 4.12 is out.

If you find an issue with those, please open a new BZ, linking to the old one.

Note You need to log in before you can comment on or make changes to this bug.